Subject: bug#18813: 25.0.50; gnus start fails unless image.el is loaded in advance.

From: Katsumi Yamaoka <[email-masked]>
Date: Mon, 27 Oct 2014 09:28:03 +0900

On Mon, 27 Oct 2014 08:03:15 +0900, [email-masked] wrote:
> I wonder why it works for other people for a while and found
> gnus-group-startup-message forces find-image to be loaded when
> necessary.
[...]
> So, I guess alternative way is changing the above test to (and (fboundp
> 'find-image) (display-graphic-p)) like gnus-group-startup-message does.

> I'm not sure which one is better.

Well, I have another doubt.  Did you mean image.elc is not loaded
only if the display type is not graphical?  Does the error happen
in both 24.0.50 (you seem to use) and 25.0.50 (labeled in the bug
subject)?
Currently I can test it with only 24.3 and 25.0.50, and find-image
is fully available in both the versions with the -Q option no
matter what the display type is, and even in the batch mode.